% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/getGBIFpoints.R
\name{getGBIFpoints}
\alias{getGBIFpoints}
\title{Download occurrences from GBIF}
\usage{
getGBIFpoints(
  taxon,
  GBIFLogin = GBIFLogin,
  GBIFDownloadDirectory = NULL,
  checkPreviousGBIFDownload = T
)
}
\arguments{
\item{taxon}{A string with a single species name}

\item{GBIFLogin}{An object of class \code{\link{GBIFLogin}} to log in to
GBIF to begin the download.}

\item{GBIFDownloadDirectory}{An optional argument that specifies the local
directory where GBIF downloads will be saved. If this is not specified, the
downloads will be saved to your current working directory.}

\item{checkPreviousGBIFDownload}{A logical operator specifying whether the
user wishes to check their existing prepared downloads on the GBIF website.}
}
\value{
A list containing \enumerate{ \item a data frame of occurrence data;
\item GBIF search metadata; \item a data frame containing the raw results of
 a query to `rgbif::occ_download_get()`.}
}
\description{
Downloads GBIF occurrence points and useful related
information for processing within other occCite functions
}
\details{
`getGBIFpoints` only returns records from GBIF that have
coordinates, aren't flagged as having geospatial issues, and have an
occurrence status flagged as "PRESENT".
}
\examples{
\dontrun{
getGBIFpoints(
  taxon = "Gadus morhua",
  GBIFLogin = myGBIFLogin,
  GBIFDownloadDirectory = NULL
)
}

}
